API Direct
Endpoints
LinkedIn Company Details

LinkedIn Company Details

GET /v1/linkedin/company
Documentation

Get detailed information about a LinkedIn company page by URL. Returns company name, description, employee count, locations, specialities, website, industry, headquarters, similar companies, and more.

Cost
$0.006 per request
Free tier
50 requests/month

Parameters

url *
LinkedIn company page URL (max 500 characters)

Example Request

curl "https://apidirect.io/v1/linkedin/company?url=https://www.linkedin.com/company/visualsoft-uk-ltd" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "name": "Visualsoft | Shopify Plus Partner",
  "company_id": 478635,
  "url": "https://www.linkedin.com/company/visualsoft-uk-ltd/",
  "description": "We deliver the Shopify stores, in-store tech...",
  "tagline": "We deliver the Shopify stores...",
  "website": "http://www.visualsoft.co.uk",
  "industry": "Software Development",
  "followers": 16391,
  "employees": 269,
  "employee_range": "201-500",
  "founded_year": 1998,
  "specialities": ["eCommerce", "Web Design", "SEO"],
  "headquarters": {
    "city": "Stockton-on-Tees",
    "country": "GB",
    "region": "Cleveland"
  },
  "locations": [
    {"city": "Newcastle upon Tyne", "country": "GB", "is_headquarters": false}
  ],
  "similar_companies": [
    {"name": "Shopify", "url": "https://www.linkedin.com/company/shopify/", "followers": 1067167}
  ],
  "source": "LinkedIn",
  "domain": "linkedin.com"
}

Your Usage

Free tier this month
Loading...
Recent Activity